#ifndef __MARKER_P_H__
#define __MARKER_P_H__

extern Lisp_Object set_marker_restricted _P_((Lisp_Object marker,
                                              Lisp_Object pos,
                                              Lisp_Object buffer));
extern int marker_position _P_((Lisp_Object marker));
extern _VOID_ unchain_marker _P_((register Lisp_Object marker));
extern _VOID_ syms_of_marker _P_((void));

DEFUN_P(Fmarker_buffer, (register Lisp_Object marker));
DEFUN_P(Fmarker_position, (Lisp_Object marker));
DEFUN_P(Fset_marker, (Lisp_Object marker, Lisp_Object pos,
                        Lisp_Object buffer));
DEFUN_P(Fcopy_marker, (register Lisp_Object marker));
    
#endif
